Package wx :: Package py :: Module filling :: Class Filling

[frames | no frames]

## Type Filling

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            SplitterWindow --+
                             |
                            Filling

Filling based on wxSplitterWindow.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name, rootObject, rootLabel, rootIsNamespace, static)` Create a Filling instance.
| `LoadSettings(self, config)`
| `OnChanged(self, event)`
| `SaveSettings(self, config)`

Property Summary

Class Variable Summary
`str` | `name` = `'Filling'`
`str` | `revision` = `'1.7'`

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=896, name='Filling Window', rootObject=None, rootLabel=None, rootIsNamespace=False, static=False)
(Constructor)

Create a Filling instance.

  Overrides:
    `wx.SplitterWindow.__init__`

Class Variable Details

### name

  Type:
    `str`
  Value:

        'Filling'

### revision

  Type:
    `str`
  Value:

        '1.7'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:51 2007 | http://epydoc.sf.net